# List risks

List risks

Endpoint: GET /gateway/chaos/manager/api/v3/risks
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `category` (string)

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `includeAllScope` (boolean)

  - `infrastructure` (string)
    Enum: "Kubernetes", "KubernetesV2", "Windows", "Linux", "CloudFoundry", "Container"

  - `limit` (integer)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `page` (integer)

  - `projectIdentifier` (string)
    project id to access the resource

  - `resourceIdentifiers` (array)

  - `search` (string)
    name that you want to search

  - `sortAscending` (boolean)
    if sort order ascending or not

  - `sortField` (string)
    field  name that you want to sort
    Enum: "name", "lastUpdated", "experimentName"

  - `tags` (string)

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `data` (array)

  - `data.accountID` (string, required)

  - `data.activeRisk` (object)

  - `data.activeRisk.failedProbes` (integer)

  - `data.activeRisk.passedProbes` (integer)

  - `data.category` (string)

  - `data.createdBy` (object)

  - `data.createdBy.email` (string)

  - `data.createdBy.userID` (string)

  - `data.createdBy.username` (string)

  - `data.description` (string)

  - `data.identity` (string)

  - `data.isDefault` (boolean)

  - `data.lastDetectedAt` (integer)
    PassiveRiskCounter      PassiveRiskCounter bson:"passiveRisk" json:"passiveRisk" //TODO: To be added later

  - `data.name` (string, required)

  - `data.orgID` (string)

  - `data.projectID` (string)

  - `data.supportedInfra` (array)
    Enum: "Kubernetes", "KubernetesV2", "Windows", "Linux", "CloudFoundry", "Container"

  - `data.tags` (array)

  - `data.updatedBy` (object)

  - `pagination` (object)

  - `pagination.index` (integer)

  - `pagination.limit` (integer)

  - `pagination.totalItems` (integer)

  - `pagination.totalPages` (integer)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


